var tmpl=`
<el-dialog :title="headTitle" :visible.sync="dialogFormVisible">
      <slot name="top"></slot>
      <gsb-form  ref="dform" :metaData="metaData">
      </gsb-form>
      <slot></slot>
      <div slot="footer" class="dialog-footer">
        <gsb-button-group isForm="true" @select="onselect" ikey="cancel" :btns="toolbar"></gsb-button-group>
      </div>
</el-dialog>
`
module.exports=
`{
   template:'${tmpl}',
   props:['metaData',"headTitle","toolbar"],
   data:function(){
     return {
       dialogFormVisible:false,
     };
   },
   methods:{
     onselect:function(k){
       this.$emit('dlgFormClick',k,this.$refs.dform.formModel);
     },
     setInitData:function(obj){
       this.$refs.dform.setInitData(obj);
     },
   },
   vname:"gsb-dlgform"
}`
